NNG_TLS_ENGINE_DESCRIPTION(3tls)

NAME
nng_tls_engine_description - TLS engine description

SYNOPSIS

    #include <nng/supplemental/tls/tls.h>

    const char *nng_tls_engine_description(void);

DESCRIPTION

The nng_tls_engine_description() returns a short description for the current TLS engine. If no engine is registered, then the empty string ("") is returned. This is principally useful for diagnostic purposes.

RETURN VALUES

The description of the engine of the engine.

ERRORS

None.

SEE ALSO

nng_tls_engine_name(3tls), nng_tls_engine(5), nng(7)